ch.hevs.isi.core

## Interface DataPointListener

All Known Implementing Classes:
  DatabaseConnector, FieldConnector, WebConnector

    public interface DataPointListener

### Field Summary

Fields
`static java.util.Vector<DataPointListener>` `listeners`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`void` `onNewValue(DataPoint dp)`
`static void` `subscribeUpdate(DataPointListener listener)` Subscribe to the update of the DataPoint

### Field Detail

#### listeners

    static final java.util.Vector<DataPointListener> listeners

### Method Detail

#### onNewValue

    void onNewValue(DataPoint dp)

#### subscribeUpdate

    static void subscribeUpdate(DataPointListener listener)

Subscribe to the update of the DataPoint

Parameters:
  `listener` - the listener to subscribe